# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class OutOfLineContent

    java.lang.Object
      com.google.gdata.data.Content
          com.google.gdata.data.OutOfLineContent

All Implemented Interfaces:
  IContent, IOutOfLineContent

Direct Known Subclasses:
  MediaContent

    public class OutOfLineContent

extends Content
implements IOutOfLineContent

Variant of `Content` for entries that reference external content.

Nested Class Summary
`class` `OutOfLineContent.AtomHandler` Parses XML in the Atom format.

Nested classes/interfaces inherited from class com.google.gdata.data.Content
`Content.ChildHandlerInfo`

Nested classes/interfaces inherited from interface com.google.gdata.data.IContent
`IContent.Type`

Field Summary
`protected java.lang.String` `etag` ETag for the referenced content.
`protected java.lang.String` `lang` Language derived from the current state of `xml:lang`.
`protected long` `length` Content length.
`protected ContentType` `mimeType` MIME Content type.
`protected java.lang.String` `uri` External URI.

Constructor Summary
`OutOfLineContent()`

Method Summary
`void` `generateAtom(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates XML in the Atom format.
`void` `generateRss(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates XML in the RSS format.
`java.lang.String` `getEtag()` Returns the HTTP etag for the referenced content or `null` if none.
`java.lang.String` `getLang()` Returns the human language that this content is written in.
`long` `getLength()`
`ContentType` `getMimeType()` Returns the MIME content type.
`int` `getType()` Returns this content's type.
`java.lang.String` `getUri()` Returns the external URI.
`void` `setEtag(java.lang.String v)`
`void` `setLang(java.lang.String v)` Specifies the human language that this content is written in.
`void` `setLength(long v)`
`void` `setMimeType(ContentType v)` Specifies the MIME Content type.
`void` `setUri(java.lang.String v)` Specifies the external URI.

Methods inherited from class com.google.gdata.data.Content
`getChildHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mimeType

    protected ContentType mimeType

  MIME Content type.

### lang

    protected java.lang.String lang

  Language derived from the current state of `xml:lang`.

### uri

    protected java.lang.String uri

  External URI.

### length

    protected long length

  Content length. Value will be -1 if unknown.

### etag

    protected java.lang.String etag

  ETag for the referenced content. Value will be `null` if unknown.

Constructor Detail

### OutOfLineContent

    public OutOfLineContent()

Method Detail

### getType

    public int getType()

  Description copied from class: `Content`
  Returns this content's type. See `IContent.Type` for the set of expected values.

  Specified by:
    `getType` in interface `IContent`
  Specified by:
    `getType` in class `Content`
  Returns:
    the type of this content

### getMimeType

    public ContentType getMimeType()

  Description copied from interface: `IOutOfLineContent`
  Returns the MIME content type.

  Specified by:
    `getMimeType` in interface `IOutOfLineContent`
  Returns:
    the MIME content type

### setMimeType

    public void setMimeType(ContentType v)

  Specifies the MIME Content type.

### getLang

    public java.lang.String getLang()

  Description copied from class: `Content`
  Returns the human language that this content is written in.

  Specified by:
    `getLang` in interface `IContent`
  Specified by:
    `getLang` in class `Content`
  Returns:
    the language of the content if available, or null if not.

### setLang

    public void setLang(java.lang.String v)

  Specifies the human language that this content is written in.

### getUri

    public java.lang.String getUri()

  Description copied from interface: `IOutOfLineContent`
  Returns the external URI.

  Specified by:
    `getUri` in interface `IOutOfLineContent`
  Returns:
    the external URI

### setUri

    public void setUri(java.lang.String v)

  Specifies the external URI.

### getLength

    public long getLength()

  Returns:
    the content length.

### setLength

    public void setLength(long v)

### getEtag

    public java.lang.String getEtag()

  Description copied from interface: `IOutOfLineContent`
  Returns the HTTP etag for the referenced content or `null` if none.

  Specified by:
    `getEtag` in interface `IOutOfLineContent`

### setEtag

    public void setEtag(java.lang.String v)

### generateAtom

    public void generateAtom(com.google.gdata.util.common.xml.XmlWriter w,
                             ExtensionProfile extProfile)
                      throws java.io.IOException

  Generates XML in the Atom format.

  Specified by:
    `generateAtom` in class `Content`
  Parameters:
    `w` - output writer
    `extProfile` - Extension Profile for nested extensions
  Throws:
    `java.io.IOException`

### generateRss

    public void generateRss(com.google.gdata.util.common.xml.XmlWriter w,
                            ExtensionProfile extProfile)
                     throws java.io.IOException

  Generates XML in the RSS format.

  Specified by:
    `generateRss` in class `Content`
  Parameters:
    `w` - output writer
    `extProfile` - Extension Profile for nested extensions
  Throws:
    `java.io.IOException`